Core - Bug # 62513

Status: Resolved Priority: Should have
Author: Michael Stucki Category:
Created: 2014-10-28 Assigned To:
Updated: 2014-10-31 Due date:
TYPO3 Version: 4.5

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus:

Subject: Backport #59587 to TYPO3 4.5

Description

The fix in #59587 is useful in TYPOS 4.5 as well and should be backported.

Related issues:

related to Core - Bug # 59587: Performance killer: APC cache backend, wrong a... Resolved

2014-06-15

Associated revisions

Revision f56¢52f1 - 2014-10-31 09:10 - Michael Stucki

[BUGFIX] Too many tags by identifier in CacheBackends

This patch is a backport of 3d93017022a8ef03842d75f2d7bd3912365¢c95be.
Applies to Apc/Memcached backends.

After an array_merge the values aren't unique. This leads to duplicate

tags per identifier. This patch changes that and also moves the
findTagsByldentifier call out of the foreach loop.

Resolves: #62513

Releases: 4.5

Change-Id: 1a4713eeb399a4770b2c23e5738e076a91afe2a64
Reviewed-on: http:/review.typo3.0rg/33592

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Michael Stucki <michael.stucki@typo3.org>

Tested-by: Michael Stucki <michael.stucki@typo3.org>

History

#1 - 2014-10-28 11:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33592

#2 - 2014-10-31 09:30 - Michael Stucki
- Status changed from Under Review to Resolved

2015-08-04
- % Done changed from 0 to 100

Applied in changeset commit:f56c52f135be009fc9290a1a7abfa5fe1a667bde.
